Уязвимость форматной строки в модуле mod_tcl в Web сервере Apache

Дата публикации:
16.10.2006
Дата изменения:
29.03.2008
Всего просмотров:
2871
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
mod_tcl 1.x
Уязвимые версии: mod_tcl 1.0 для Apache 2.x

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в функции set_var(). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости злоумышленник должен знать расположение tcl сценария, который использует уязвимый модуль.

URL производителя: tcl.apache.org

Решение: Установите последнюю версию 1.0.1 с сайта производителя.

Журнал изменений:

29.03.2008
Изменена секция «Решение».

Ссылки: Apache HTTP Server mod_tcl set_var Format String Vulnerability

или введите имя

CAPTCHA